package com.jeeplus.modules.sg.financial.settlement.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 财务项目费用检查实体类
 * @author user3
 * @date 2020-11-25
 * */
public class CostCheck extends DataEntity<CostCheck> {
    /**
     * 项目编码
     * */
    private String projectId;
    /**
     * 项目名称
     * */
    private String projectName;
    /**
     * 施工费应付金额
     * */
    private Double constructionAmountDue;
    /**
     * 施工费实付金额
     * */
    private Double constructionAmountPaid;
    /**
     * 施工费差额
     */
    private Double constructionCostDifference;
    /**
     * 施工费允许少付
     * */
    private String constructionUnderPayment;
    /**
     * 设计费应付金额
     * */
    private Double designAmountDue;
    /**
     * 设计费实付金额
     * */
    private Double designAmountPaid;
    /**
     * 设计费差额
     */
    private Double designCostDifference;
    /**
     * 设计费允许少付
     * */
    private String designUnderPayment;
    /**
     * 监理费应付金额
     * */
    private Double supervisorAmountDue;
    /**
     * 监理费实付金额
     * */
    private Double supervisorAmountPaid;
    /**
     * 监理费差额
     */
    private Double supervisorDifference;
    /**
     * 监理费允许少付
     * */
    private String supervisorUnderPayment;

    /**
     * 查询用id集合
     * */
    private String[] projectIds;
    @ExcelField(title="项目编号", align=2, sort=1)
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    @ExcelField(title="项目名称", align=2, sort=2)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title="施工费应付金额", align=2, sort=3)
    public Double getConstructionAmountDue() {
        return constructionAmountDue;
    }

    public void setConstructionAmountDue(Double constructionAmountDue) {
        this.constructionAmountDue = constructionAmountDue;
    }

    @ExcelField(title="施工费实付金额", align=2, sort=4)
    public Double getConstructionAmountPaid() {
        return constructionAmountPaid;
    }

    public void setConstructionAmountPaid(Double constructionAmountPaid) {
        this.constructionAmountPaid = constructionAmountPaid;
    }

    @ExcelField(title="设计费应付金额", align=2, sort=7)
    public Double getDesignAmountDue() {
        return designAmountDue;
    }

    public void setDesignAmountDue(Double designAmountDue) {
        this.designAmountDue = designAmountDue;
    }

    @ExcelField(title="设计费实付金额", align=2, sort=8)
    public Double getDesignAmountPaid() {
        return designAmountPaid;
    }

    public void setDesignAmountPaid(Double designAmountPaid) {
        this.designAmountPaid = designAmountPaid;
    }

    @ExcelField(title="监理费应付金额", align=2, sort=11)
    public Double getSupervisorAmountDue() {
        return supervisorAmountDue;
    }

    public void setSupervisorAmountDue(Double supervisorAmountDue) {
        this.supervisorAmountDue = supervisorAmountDue;
    }

    @ExcelField(title="监理费实付金额", align=2, sort=12)
    public Double getSupervisorAmountPaid() {
        return supervisorAmountPaid;
    }

    public void setSupervisorAmountPaid(Double supervisorAmountPaid) {
        this.supervisorAmountPaid = supervisorAmountPaid;
    }

    @ExcelField(title="施工费允许少付", align=2, sort=6)
    public String getConstructionUnderPayment() {
        return constructionUnderPayment;
    }

    public void setConstructionUnderPayment(String constructionUnderPayment) {
        this.constructionUnderPayment = constructionUnderPayment;
    }

    @ExcelField(title="设计费允许少付", align=2, sort=10)
    public String getDesignUnderPayment() {
        return designUnderPayment;
    }

    public void setDesignUnderPayment(String designUnderPayment) {
        this.designUnderPayment = designUnderPayment;
    }

    @ExcelField(title="监理费允许少付", align=2, sort=14)
    public String getSupervisorUnderPayment() {
        return supervisorUnderPayment;
    }

    public void setSupervisorUnderPayment(String supervisorUnderPayment) {
        this.supervisorUnderPayment = supervisorUnderPayment;
    }

    public String[] getProjectIds() {
        return projectIds;
    }

    public void setProjectIds(String[] projectIds) {
        this.projectIds = projectIds;
    }

    @ExcelField(title="施工费差额", align=2, sort=5)
    public Double getConstructionCostDifference() {
        return constructionCostDifference;
    }

    public void setConstructionCostDifference(Double constructionCostDifference) {
        this.constructionCostDifference = constructionCostDifference;
    }

    @ExcelField(title="设计费差额", align=2, sort=9)
    public Double getDesignCostDifference() {
        return designCostDifference;
    }

    public void setDesignCostDifference(Double designCostDifference) {
        this.designCostDifference = designCostDifference;
    }

    @ExcelField(title="监理费差额", align=2, sort=13)
    public Double getSupervisorDifference() {
        return supervisorDifference;
    }

    public void setSupervisorDifference(Double supervisorDifference) {
        this.supervisorDifference = supervisorDifference;
    }
}
